<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
$TongNap = mysqli_fetch_array(mysqli_query($conn, "Select Sum(Money)Money From logscard WHERE Active = '1'"));
$TongNapS = mysqli_fetch_array(mysqli_query($conn, "Select Sum(Money)Money From logscard WHERE Active = '2'"));
$NapTrongNgay = mysqli_fetch_array(mysqli_query($conn, "Select Sum(Money)Money From logscard WHERE TimerS = '".strtotime(date('d-m-Y'))."'"));
$monthprev = date('m')-1;
$month = date('m');
$RechargeInMonth = mysqli_fetch_array(mysqli_query($conn, "Select Sum(Money)Money From logscard WHERE FROM_UNIXTIME(TimerS, '%m') = $month AND Active=1"));
$RechargeLastMonth = mysqli_fetch_array(mysqli_query($conn, "Select Sum(Money)Money From logscard WHERE FROM_UNIXTIME(TimerS, '%m') = $monthprev AND Active=1"));
?>
<style>
.badge-danger {
    border: 1px solid #e65251;
    color: #ffffff;
}
.badge {
    border-radius: 0.25rem;
    font-size: 0.65rem;
    font-weight: initial;
    line-height: 1;
    padding: 0.2rem 0.3rem;
    font-family: "Poppins", sans-serif;
    font-weight: 600;
}

.badge-danger {
    color: #fff;
    background-color: #e65251;
}
.badge-success, .preview-list .preview-item .preview-thumbnail .badge.badge-online {
    border: 1px solid #00ce68;
    color: #ffffff;
}
.badge-success, .preview-list .preview-item .preview-thumbnail .badge.badge-online {
    color: #fff;
    background-color: #00ce68;
}
.badge-info, .preview-list .preview-item .preview-thumbnail .badge.badge-offline {
    color: #fff;
    background-color: #8862e0;
}
.badge-info, .preview-list .preview-item .preview-thumbnail .badge.badge-offline {
    border: 1px solid #8862e0;
    color: #ffffff;
}
.badge-warning, .preview-list .preview-item .preview-thumbnail .badge.badge-busy {
    border: 1px solid #ffaf00;
    color: #ffffff;
}
.badge-warning, .preview-list .preview-item .preview-thumbnail .badge.badge-busy {
    color: #212529;
    background-color: #ffaf00;
}
</style>
                  <h4 class="card-title">Danh sách Lịch sử Nạp</h4>
				             <div class="input-group"  style="width:62%;float:right">
							<font color="red">Nhập 0 => Tìm thẻ đang chờ => 1 Thẻ Thành Công => 2 Thẻ Thất bại</font>
                            <select class="form-control" style="width:200px" id="type_seachls">
							<option value="0">Tên tài khoản / Số seri / Mã thẻ</option>
							<select>  
                            <input type="text" id="lichsu_seacher" value="" class="form-control" placeholder="Nội dung" style="width:120px">						
                        </div>
						<font color="blue">Tổng Nạp Ngày : </font><b><?=number_format($NapTrongNgay['Money'])?> VNĐ</b>
						<br />
                        <font color="blue">Tổng Nạp Tháng <?php echo $monthprev; ?> : </font><b><?=number_format($RechargeLastMonth['Money'])?> VNĐ</b>
						<br />
                        <font color="blue">Tổng Nạp Tháng <?php echo $month; ?> : </font><b><?=number_format($RechargeInMonth['Money'])?> VNĐ</b>
						<br />
						<font color="red">Tổng Mệnh Giá Thành Công : </font><b><?=number_format($TongNap['Money'])?> VNĐ</b>
<Br/>
<font color="green">Tổng Mệnh Giá Thất Bại : </font><b><?=number_format($TongNapS['Money'])?> VNĐ</b><br>
		
	  <input type="button" id="reload" value="Tải Lại"/>
                  <div class="table-responsive">
				  						<hr />
                                          <div id="sotrang"></div>

                    <table class="table table-bordered" style="width: 100%; margin-bottom: 4rem; background-color: transparent;">
                      <thead>
                        <tr>
                          <th>
                            #
                          </th>
                          <th>
                            Tài khoản
                          </th>
                          <th>
                           Máy chủ
                          </th>							  
                          <th>
                            Nhân Vật
                          </th>						  
                          <th>
                            Số Seri
                          </th>
                          <th>
                           Mã Thẻ
                          </th>
                          <th>
                           Mệnh giá
                          </th>						  
                          <th>
                           Loại Thẻ
                          </th>						  
                          <th>
                            Thời Gian
                          </th>
						  <th>
                           Tình Trạng
                          </th>						  
                        </tr>
                      </thead>
                      <tbody id="listnapthe">			  

                      </tbody>
                    </table>
                    <div class="modal fade" id="loadInfoRecharge">
    <div class="modal-dialog">
      <div class="modal-content">	
      </div>
    </div>
  </div>
<script>
$(document).ready(function() {
    loadLogs();

    $('#reload').on('click', function(){
        loadLogs();
    });

$("#lichsu_seacher").watermark("Nhập Thứ cần tìm");	// Watermart cho khung nhập
$("#lichsu_seacher").keyup(function()
{
	var lichsu_seacher = $(this).val();   		// Lấy giá trị search của người dùng
	var dataString = 'keyword='+ lichsu_seacher;	// Lấy giá trị làm tham số đầu vào cho file ajax-search.php
	if(lichsu_seacher.length>0)					// Kiểm tra giá trị người nhập có > 3 ký tự hay ko
	{
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search-logscard.php",  				// File xử lý
      data: dataString,						// Dữ liệu truyền vào
      dataType: 'json',
			beforeSend:  function() {				// add class "loading" cho khung nhập
				$('input#lichsu_seacher').addClass('loading');
			},
			success: function(result)		// Khi xử lý thành công sẽ chạy hàm này
			{
				$("#listnapthe").html(result['text']);  	// Hiển thị dữ liệu vào thẻ div #searchresultdata
				
				if ($('input#lichsu_seacher').hasClass("loading")) {		// Kiểm tra class "loading"
					$("input#lichsu_seacher").removeClass("loading");		// Remove class "loading"
				} 
			}
		});
	} else {
		$.ajax({
			type: "GET",      						// Phương thức gọi là GET
			url: "ajax-search-logscard.php",  				// File xử lý
			data: "macdinh=true",						// Dữ liệu truyền vào
			success: function(server_response)		// Khi xử lý thành công sẽ chạy hàm này
			{
				$('#listnapthe').html(server_response).show();  	// Hiển thị dữ liệu vào thẻ div #searchresultdata
				
			}
		});		
	}
	return false;		// Không chuyển trang
});
});
function setcard_type(sv, userSet, playeridSET, CardSet, IDCardSet){
	if(userSet == "" || playeridSET == ""){
Lobibox.notify('info', {size: 'mini',msg: 'Không tin xét duyệt thất bại.'});					
	} else {
		$.post('ajax_setcard.php', {
		sv:sv,
		IDCard:IDCardSet,
		user:userSet,
		playerid:playeridSET,
		SET:CardSet
		}, function(data){
			if(data == 0){
Lobibox.notify('success', {size: 'mini',msg: "Đã điều chỉnh thành công."});							
			} else {
Lobibox.notify('error', {size: 'mini',msg: data});							
			}
		});
	}
}
</script>				  